Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin.jspbeans
Class PortletJspBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.JspBeanBase
            |
            +--com.beasys.portal.admin.jspbeans.PortalJspBean
                  |
                  +--com.beasys.portal.admin.jspbeans.PortletJspBean

Direct Known Subclasses:
  PortalPersonalizationJspBean

public class PortletJspBean
extends PortalJspBean
implements Portlet

The <jsp:usebean> for several Portal Admin tools such as portlet_new.jsp. This class represents the Portlet Definition entity.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `alternateFooterURL` An HTTP request mapping attribute.
`protected java.lang.String` | `alternateHeaderURL` An HTTP request mapping attribute.
`protected java.lang.String` | `bannerURL` An HTTP request mapping attribute.
`protected java.lang.String` | `categoryName` An HTTP request mapping attribute.
`protected int` | `column` An HTTP request mapping attribute.
`protected java.lang.String` | `editURL` An HTTP request mapping attribute.
`protected boolean` | `floatable` An HTTP request mapping attribute.
`protected boolean` | `hasHelp` An HTTP request mapping attribute.
`protected java.lang.String` | `helpURL` An HTTP request mapping attribute.
`protected java.lang.String` | `iconURL` An HTTP request mapping attribute.
`protected boolean` | `isEditable` An HTTP request mapping attribute.
`protected boolean` | `isMandatory` An HTTP request mapping attribute.
`protected boolean` | `isMinimized` An HTTP request mapping attribute.
`protected boolean` | `loginRequired` An HTTP request mapping attribute.
`protected boolean` | `maximizeable` An HTTP request mapping attribute.
`protected java.lang.String` | `maximizedURL` An HTTP request mapping attribute.
`protected boolean` | `minimizeable` An HTTP request mapping attribute.
`protected boolean` | `moveable` An HTTP request mapping attribute.
`protected int` | `row` An HTTP request mapping attribute.
`protected boolean` | `visible` An HTTP request mapping attribute.

Fields inherited from class com.beasys.portal.admin.jspbeans.PortalJspBean
`contentColumnCount, contentColumnCountStr, contentURL, editURL, footerURL, headerURL, isEditable, name, suspended, suspendedURL`

Fields inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`DEFAULT_CATEGORY`

Constructor Summary
`PortletJspBean()` Creates a new instance of this bean.

Method Summary
`java.lang.String` | `getAlternateFooterURL()` Gets the alternate footer URL for this portlet.
`java.lang.String` | `getAlternateHeaderURL()` Gets the alternate header URL for this portlet.
`java.lang.String` | `getBannerURL()` Gets the banner URL for this portlet.
`java.lang.String` | `getCategoryName()` Gets the portal category.
`int` | `getColumn()` Gets the column position of this portlet in a portal.
`java.lang.String` | `getEditURL()` Gets the edit URL for this portlet.
`java.lang.String` | `getHelpURL()` Gets the help URL for this portlet.
`java.lang.String` | `getIconURL()` Gets the icon URL for this portlet.
`java.lang.String` | `getMaximizedURL()` Gets the maximize URL for this portlet.
`int` | `getRow()` Gets the row position of this portlet in a column.
`boolean` | `hasHelp()` Gets the has help attribute.
`boolean` | `isAvailable()` Gets the available state of this portlet.
`boolean` | `isEditable()` Gets the editable state of this portlet.
`boolean` | `isFloatable()` Gets the isFloatable attribute of this portlet.
`boolean` | `isLoginRequired()` Gets the login required state of this portlet.
`boolean` | `isMandatory()` Gets the mandatory state of this portlet.
`boolean` | `isMaximizeable()` Gets the is Maximizeable attribute of this portlet.
`boolean` | `isMinimizeable()` Gets the isMinimizeable attribute of this portlet.
`boolean` | `isMinimized()` Gets the current minimized state of this portlet for a user.
`boolean` | `isMoveable()` Gets the moveable state of this portlet.
`boolean` | `isVisible()` Gets the isVisible attribute of this portlet.
`void` | `setAlternateFooterURL(java.lang.String aURL)` Sets the alternate footer URL.
`void` | `setAlternateHeaderURL(java.lang.String aURL)` Sets the alternate header URL.
`void` | `setAvailable(boolean ignore)` Sets the available state of this portlet.
`void` | `setBannerURL(java.lang.String aURL)` Sets the banner URL.
`void` | `setCategoryName(java.lang.String aCategory)` Sets the portal category for this bean.
`void` | `setColumn(int aPos)` Sets the column position of this portlet in a portal.
`void` | `setEditable(boolean isEditable)` Sets the editable state of this portlet.
`void` | `setEditURL(java.lang.String aURL)` Sets the edit URL.
`void` | `setFloatable(boolean aBool)` Sets the isFloatable attribute of this portlet.
`void` | `setHelp(boolean aHasHelp)` Sets whether or not this bean has help enabled.
`void` | `setHelpURL(java.lang.String aURL)` Sets the help URL.
`void` | `setIconURL(java.lang.String aURL)` Sets the icon URL.
`void` | `setLoginRequired(boolean aBool)` Sets the login required state of this portlet.
`void` | `setMandatory(boolean ignore)` Sets the mandatory state of this portlet.
`void` | `setMaximizeable(boolean aBool)` Sets the isMaximizeable attribute of this portlet.
`void` | `setMaximizedURL(java.lang.String aURL)` Sets the maximize URL.
`void` | `setMinimizeable(boolean aBool)` Sets the isMinimizeable attribute of this portlet.
`void` | `setMinimized(boolean isMinimized)` Sets the current minimized state of this portlet for a user.
`void` | `setMoveable(boolean ignore)` Sets the moveable state of this portlet.
`void` | `setRow(int aPos)` Sets the row position of this portlet in a column.
`void` | `setVisible(boolean aBool)` Sets the isVisible attribute of this portlet.
`java.lang.String` | `validate()` Validates the attributes of this bean.

Methods inherited from class com.beasys.portal.admin.jspbeans.PortalJspBean
`getContentColumnCount, getContentColumnCountStr, getContentURL, getFooterURL, getHeaderURL, getName, getSuspendedURL, isSuspended, setContentColumnCount, setContentColumnCountStr, setContentURL, setFooterURL, setHeaderURL, setName, setSuspended, setSuspendedURL`

Methods inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`findStringInArray, hasSpecialHTMLChars, isStringLetterOrDigit, validateDoubleValue, validateDoubleValue, validateGroupName, validateIntValue, validateIntValue, validateLength, validateUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categoryName

    protected java.lang.String categoryName

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>. This attribute not support yet and is reserved for future use.

### maximizedURL

    protected java.lang.String maximizedURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### moveable

    protected boolean moveable

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>. Since the Portal Framework does not support this attribute at this time, default it to true.

### isMinimized

    protected boolean isMinimized

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### isMandatory

    protected boolean isMandatory

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>. Since the Portal Framework does not support this attribute at this time, default it to false.

### minimizeable

    protected boolean minimizeable

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### maximizeable

    protected boolean maximizeable

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### floatable

    protected boolean floatable

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### visible

    protected boolean visible

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### row

    protected int row

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### column

    protected int column

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### bannerURL

    protected java.lang.String bannerURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### alternateHeaderURL

    protected java.lang.String alternateHeaderURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### alternateFooterURL

    protected java.lang.String alternateFooterURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### hasHelp

    protected boolean hasHelp

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### helpURL

    protected java.lang.String helpURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### iconURL

    protected java.lang.String iconURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### isEditable

    protected boolean isEditable

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### editURL

    protected java.lang.String editURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### loginRequired

    protected boolean loginRequired

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

Constructor Detail

### PortletJspBean

    public PortletJspBean()

  Creates a new instance of this bean.

Method Detail

### setCategoryName

    public void setCategoryName(java.lang.String aCategory)

  Sets the portal category for this bean. This is not support yet and is reserved for future use.
  Specified by:
    setCategoryName in interface Portlet
  Parameters:
    `aCategory` - The portal category name.

### getCategoryName

    public java.lang.String getCategoryName()

  Gets the portal category. This method is not supported yet and is reserved for future use.
  Specified by:
    getCategoryName in interface Portlet
  Returns:
    String - The portal category that this portlet belongs to.

### setHelp

    public void setHelp(boolean aHasHelp)

  Sets whether or not this bean has help enabled.
  Specified by:
    setHelp in interface Portlet
  Parameters:
    `aHasHelp` - True if it supports help, false if not.

### hasHelp

    public boolean hasHelp()

  Gets the has help attribute.
  Specified by:
    hasHelp in interface Portlet
  Returns:
    boolean - true if this portlet has help, false if not.

### setHelpURL

    public void setHelpURL(java.lang.String aURL)

  Sets the help URL.
  Specified by:
    setHelpURL in interface Portlet
  Parameters:
    `aURL` - The help URL.

### getHelpURL

    public java.lang.String getHelpURL()

  Gets the help URL for this portlet.
  Specified by:
    getHelpURL in interface Portlet
  Returns:
    String - The help URL for this portlet.

### getIconURL

    public java.lang.String getIconURL()

  Gets the icon URL for this portlet.
  Specified by:
    getIconURL in interface Portlet
  Returns:
    String - The icon URL for this portlet.

### setIconURL

    public void setIconURL(java.lang.String aURL)

  Sets the icon URL.
  Specified by:
    setIconURL in interface Portlet
  Parameters:
    `aURL` - The icon URL.

### isAvailable

    public boolean isAvailable()

  Gets the available state of this portlet. Always returns false at this level since this attribute in this class is ignored. Subclasses need to override this method to customize the behavior.
  Specified by:
    isAvailable in interface Portlet
  Returns:
    boolean - ignore This parameter is ignored.
  See Also:
    `PortalPersonalizationJspBean.isAvailable()`

### setAvailable

    public void setAvailable(boolean ignore)

  Sets the available state of this portlet. Setting this attribute in this class is ignored. Subclasses need to override this method to customize the behavior.
  Specified by:
    setAvailable in interface Portlet
  Parameters:
    `ignore` - This parameter is ignored.
  See Also:
    `PortalPersonalizationJspBean.setAvailable(boolean)`

### isMoveable

    public boolean isMoveable()

  Gets the moveable state of this portlet. Always returns true since this attribute is not supported and is reserved for future use.
  Specified by:
    isMoveable in interface Portlet
  Returns:
    boolean - Always returns true.

### setMoveable

    public void setMoveable(boolean ignore)

  Sets the moveable state of this portlet. Always sets it to true since this attribute is not supported and is reserved for future use.
  Specified by:
    setMoveable in interface Portlet
  Parameters:
    `ignore` - This parameter is ignored.

### isMinimizeable

    public boolean isMinimizeable()

  Gets the isMinimizeable attribute of this portlet. When true, the portal framework allows the user to minimize the portlet.
  Specified by:
    isMinimizeable in interface Portlet
  Returns:
    boolean - true if the portlet can be minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### setMinimizeable

    public void setMinimizeable(boolean aBool)

  Sets the isMinimizeable attribute of this portlet. When true, the portal framework allows the user to minimize the portlet.
  Specified by:
    setMinimizeable in interface Portlet
  Parameters:
    `aBool` - true if the portlet can be minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### isMandatory

    public boolean isMandatory()

  Gets the mandatory state of this portlet. Always set to false since this attribute is not supported and is reserved for future use.
  Specified by:
    isMandatory in interface Portlet
  Returns:
    boolean - Always returns false.

### setMandatory

    public void setMandatory(boolean ignore)

  Sets the mandatory state of this portlet. Always set to false since this attribute is not supported and is reserved for future use.
  Specified by:
    setMandatory in interface Portlet
  Parameters:
    `ignore` - This parameter is ignored and always set to false.

### isLoginRequired

    public boolean isLoginRequired()

  Gets the login required state of this portlet. For security and/or content reasons, you can make your portlet require a log in to the portal. This means that only signed in users will see the porlet and anonymous users will not.
  Specified by:
    isLoginRequired in interface Portlet
  Returns:
    boolean - true if login is required to view this portlet, false if not which allows anonymous users to view the portlet.
  See Also:
    `Portal Developer's Guide for more detail.`

### setLoginRequired

    public void setLoginRequired(boolean aBool)

  Sets the login required state of this portlet. For security and/or content reasons, you can make your portlet require a log in to the portal. This means that only signed in users will see the porlet and anonymous users will not.
  Specified by:
    setLoginRequired in interface Portlet
  Parameters:
    `aBool` - true if login is required to view this portlet, false if not which allows anonymous users to view the portlet.
  See Also:
    `Portal Developer's Guide for more detail.`

### getEditURL

    public java.lang.String getEditURL()

  Gets the edit URL for this portlet.
  Specified by:
    getEditURL in interface Portlet
  Returns:
    String - The edit URL for this portlet.

### setEditURL

    public void setEditURL(java.lang.String aURL)

  Sets the edit URL.
  Specified by:
    setEditURL in interface Portlet
  Parameters:
    `aURL` - The edit URL.

### isEditable

    public boolean isEditable()

  Gets the editable state of this portlet. If a portlet is editable, then you are required to provide an edit URL which is the web page where the user can customize your portlet. For example, a stock portlet should be editable in order for the user to add and remove stock symbols that the user wants to track. The edit URL is the web page that contains the content that allows the user to add/remove stock symbols. If editable, then the portlet's titlebar will contain an edit icon which launches the edit URL. Note, the edit icon will only be displayed when the user is signed in to the portal. The edit icon will not be displayed for anonymous users.
  Specified by:
    isEditable in interface Portlet
  Returns:
    boolean - true if this portlet is editiable, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### setEditable

    public void setEditable(boolean isEditable)

  Sets the editable state of this portlet. If a portlet is editable, then you are required to provide an edit URL which is the web page where the user can customize your portlet. For example, a stock portlet should be editable in order for the user to add and remove stock symbols that the user wants to track. The edit URL is the web page that contains the content that allows the user to add/remove stock symbols. If editable, then the portlet's titlebar will contain an edit icon which launches the edit URL. Note, the edit icon will only be displayed when the user is signed in to the portal. The edit icon will not be displayed for anonymous users.
  Specified by:
    setEditable in interface Portlet
  Parameters:
    `isEditable` - true if this portlet is editiable, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### isMinimized

    public boolean isMinimized()

  Gets the current minimized state of this portlet for a user. When set to true, the portlet's current state is minimized for the user. Note, the minimized icon in the portlet titlebar will only be displayed when the user is signed in since this is a personalized attribute which requires the portal framework to know who the user is. The minimized icon will not be displayed for anonymous users.
  Specified by:
    isMinimized in interface Portlet
  Returns:
    boolean - true if this portlet is minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### setMinimized

    public void setMinimized(boolean isMinimized)

  Sets the current minimized state of this portlet for a user. When set to true, the portlet's current state is minimized for the user. Note, the minimized icon in the portlet titlebar will only be displayed when the user is signed in since this is a personalized attribute which requires the portal framework to know who the user is. The minimized icon will not be displayed for anonymous users.
  Specified by:
    setMinimized in interface Portlet
  Parameters:
    `isMinimized` - true if this portlet is minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### isMaximizeable

    public boolean isMaximizeable()

  Gets the is Maximizeable attribute of this portlet. When true, the portal framework allows the user to maximize the portlet. When set to true, the portlet's titlebar will display a maximize icon if the portlet is not in a maximized state.
  Specified by:
    isMaximizeable in interface Portlet
  Returns:
    boolean - true if this portlet is maximizeable, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### setMaximizeable

    public void setMaximizeable(boolean aBool)

  Sets the isMaximizeable attribute of this portlet. When true, the portal framework allows the user to maximize the portlet. When maximized, the portlet replaces the existing web browser page with a fullscreen version of the portlet. When set to true, the portlet's titlebar will display a maximize icon if the portlet is not in a maximized state.
  Specified by:
    setMaximizeable in interface Portlet
  See Also:
    `Portal Developer's Guide for more detail.`

### isFloatable

    public boolean isFloatable()

  Gets the isFloatable attribute of this portlet. When true, the portal framework allows the user to float (detach) the portlet in a new browser window. When set to true, the portlet's titlebar will display a detach icon if the portlet is not already in a detached state.
  Specified by:
    isFloatable in interface Portlet
  Returns:
    boolean - true if this portlet is floatable (detachable), false if not.

### setFloatable

    public void setFloatable(boolean aBool)

  Sets the isFloatable attribute of this portlet. When true, the portal framework allows the user to float (detach) the portlet in a new browser window. When set to true, the portlet's titlebar will display a detach icon if the portlet is not already in a detached state.
  Specified by:
    setFloatable in interface Portlet
  Parameters:
    `aBool` - true if this portlet is floatable (detachable), false if not.

### isVisible

    public boolean isVisible()

  Gets the isVisible attribute of this portlet. When true, the portal framework makes this portlet visible. When false, the portlet is not visible.
  Specified by:
    isVisible in interface Portlet
  Returns:
    boolean - true if this portlet is visible, false if not.

### setVisible

    public void setVisible(boolean aBool)

  Sets the isVisible attribute of this portlet. When true, the portal framework makes this portlet visible. When false, the portlet is not visible.
  Specified by:
    setVisible in interface Portlet
  Parameters:
    `aBool` - true if this portlet is visible, false if not.

### getMaximizedURL

    public java.lang.String getMaximizedURL()

  Gets the maximize URL for this portlet.
  Specified by:
    getMaximizedURL in interface Portlet
  Returns:
    String - The maximize URL for this portlet.

### setMaximizedURL

    public void setMaximizedURL(java.lang.String aURL)

  Sets the maximize URL.
  Specified by:
    setMaximizedURL in interface Portlet
  Parameters:
    `aURL` - The maximize URL.

### getRow

    public int getRow()

  Gets the row position of this portlet in a column.
  Specified by:
    getRow in interface Portlet
  Returns:
    int - The zero-based position.

### setRow

    public void setRow(int aPos)

  Sets the row position of this portlet in a column.
  Specified by:
    setRow in interface Portlet
  Parameters:
    `aPos` - The zero-based position.

### getColumn

    public int getColumn()

  Gets the column position of this portlet in a portal.
  Specified by:
    getColumn in interface Portlet
  Returns:
    int - The zero-based position.

### setColumn

    public void setColumn(int aPos)

  Sets the column position of this portlet in a portal.
  Specified by:
    setColumn in interface Portlet
  Parameters:
    `aPos` - The zero-based position.

### getBannerURL

    public java.lang.String getBannerURL()

  Gets the banner URL for this portlet.
  Specified by:
    getBannerURL in interface Portlet
  Returns:
    String - The benner URL for this portlet.

### setBannerURL

    public void setBannerURL(java.lang.String aURL)

  Sets the banner URL.
  Specified by:
    setBannerURL in interface Portlet
  Parameters:
    `aURL` - The banner URL.

### getAlternateHeaderURL

    public java.lang.String getAlternateHeaderURL()

  Gets the alternate header URL for this portlet.
  Specified by:
    getAlternateHeaderURL in interface Portlet
  Returns:
    String - The alternate header URL for this portlet.

### setAlternateHeaderURL

    public void setAlternateHeaderURL(java.lang.String aURL)

  Sets the alternate header URL.
  Specified by:
    setAlternateHeaderURL in interface Portlet
  Parameters:
    `aURL` - The alternate header URL.

### getAlternateFooterURL

    public java.lang.String getAlternateFooterURL()

  Gets the alternate footer URL for this portlet.
  Specified by:
    getAlternateFooterURL in interface Portlet
  Returns:
    String - The alternate footer URL for this portlet.

### setAlternateFooterURL

    public void setAlternateFooterURL(java.lang.String aURL)

  Sets the alternate footer URL.
  Specified by:
    setAlternateFooterURL in interface Portlet
  Parameters:
    `aURL` - The alternate footer URL.

### validate

    public java.lang.String validate()

  Validates the attributes of this bean.
  Overrides:
    validate in class PortalJspBean
  Returns:
    String - An error string if an error, else it returns null if sucessful.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved